package fr.pise.vivant;

import java.time.LocalDate;
import java.util.ArrayList;

public class Personne {
	private ArrayList<Animal> animauxDeCompagnie;
	private int taille;
	private String nom;
	private LocalDate date;
	
	// constructeur : sert initialiser les champs
	public Personne(String nom,int taille,int annee,int mois,int jour) {
		this.taille = taille;
		this.nom = nom;
		this.date = LocalDate.of(annee, mois, jour);
		Personne.nombreDePersonnes++;
		this.animauxDeCompagnie = new ArrayList<>();
	}
	// service d'affichage normalisé
	public String toString() {
		String r =  "Nom : "+this.nom+" mesure "+this.taille+"cm, né le "+this.date;
		if (this.animauxDeCompagnie.size()==0) return r;
		r += " a pour animaux : ";
		for (Animal a : animauxDeCompagnie) {
			r += a;
		}
		return r;
	}
	
	// getters / setters
	public int getTaille() {
		return taille;
	}
	public String getNom() {
		return nom;
	}
	public LocalDate getDate() {
		return date;
	}	
	
	// relation d'amitié entre personne et animal
	public void addCopain(Animal a) {
		animauxDeCompagnie.add(a);
	}
	
	// "fonctions" de classe
	private static int nombreDePersonnes;
	public static int getNombreDePersonnes() {
		return nombreDePersonnes;
	}
	
	public static void affiche(ArrayList<Personne> liste) {
		System.out.println("---------------------");
		for (Personne p : liste) {
			System.out.println(p);
		}
		System.out.println("---------------------");
	}
}
